Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
gachick87

[Yêu cầu] Xin Lisp vẽ Rectang xác định trước diện tích và 2 điểm.

Các bài được khuyến nghị

gachick87    0

Nhờ các bác viết dùm em cái lisp vẽ rectang có diện tích xác định trước đi qua 2 điểm cho sẵn như sau:

Lisp: S_rectang.lsp

+Chọn diện tích đầu vào: có 2 lựa chọn: Nhập số / Polyline

(nếu chọn P thì chọn polyline trong bản vẽ để lấy diện tích polyline đó; nếu chọn N thì nhập thông số diện tích vào)

+Pick chọn 2 điểm Point 1 và Point 2 trong bản vẽ để lấy 1 cạnh của hình chữ nhật cần vẽ.

 

Kết quả tạo ra được hình chữ nhật có 1 cạnh là P1-P2 và có diện tích đúng bằng diện tích xác định cho trước.

Hình minh họa: cadviet.jpg

 

Với chiều của chiều cao H trong hình vẽ được xác định là chiều dương trục Oy nếu đặt hệ tọa độ XOY theo điểm P1 ứng

với gốc tọa độ O; điểm P2 ứng với chiều dương trục Ox.

Các bác giúp em với nhé. Em đang cần cho công tác đo đạc thống kê lắm ạ. Em xin cảm ơn các bác lắm lắm ạ!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

Nhờ các bác viết dùm em cái lisp vẽ rectang có diện tích xác định trước đi qua 2 điểm cho sẵn như sau:

Lisp: S_rectang.lsp

+Chọn diện tích đầu vào: có 2 lựa chọn: Nhập số / Polyline

(nếu chọn P thì chọn polyline trong bản vẽ để lấy diện tích polyline đó; nếu chọn N thì nhập thông số diện tích vào)

+Pick chọn 2 điểm Point 1 và Point 2 trong bản vẽ để lấy 1 cạnh của hình chữ nhật cần vẽ.

 

Kết quả tạo ra được hình chữ nhật có 1 cạnh là P1-P2 và có diện tích đúng bằng diện tích xác định cho trước.

Hình minh họa: cadviet.jpg

 

Với chiều của chiều cao H trong hình vẽ được xác định là chiều dương trục Oy nếu đặt hệ tọa độ XOY theo điểm P1 ứng

với gốc tọa độ O; điểm P2 ứng với chiều dương trục Ox.

Các bác giúp em với nhé. Em đang cần cho công tác đo đạc thống kê lắm ạ. Em xin cảm ơn các bác lắm lắm ạ!

Bạn có thể dùng Lệnh REC để vẽ với điều kiện biết trước diện tích và chiều dài của hình chữ nhật

 

 

Command: RECTANG

Specify first corner point or [Chamfer/Elevation/Fillet/Thickness/Width]:

Specify other corner point or [Area/Dimensions/Rotation]: a

 

Enter area of rectangle in current units <500000.00>: 500000 -> Nhập diện tích

 

Calculate rectangle dimensions based on [Length/Width] <Length>: L

 

Enter rectangle length <1457.68>: Nhập chiều dài hoặc pick 2 điểm point1 point2 làm khoảng cách đo chiều dài

Specify second point:

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.652

Yêu cầu đơn giản nhưng mô tả rõ ràng, mình rất thích

Của bạn :

(defun c:reca(/ dt a p1 p2)(vl-load-com) ;free @ketxu
(setq dt (cond  ((getreal "\nNhap dien tich hoac space de pick Pline"))
((not (princ "\nChon Pline :")))
((vla-get-area (vlax-ename->vla-object (ssname (ssget ":S" (list (cons 0 "*POLYLINE"))) 0))))
  )
)
(vl-cmdf ".rectang" (setq p1 (getpoint "\nP1 :")) "_non" (strcat "@" (rtos (setq a (distance p1 (getpoint p1 "\nP2")))) ","(rtos (/ dt a))))
)

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.678

1). Hình chữ nhật này không có điều kiện nào bắt buộc có cạnh // trục X và Y.

2). Nếu có 1 HCN thì sẽ có thêm 1 HCN nữa.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.652

Sao em dùng lisp này em vẽ thành đường thẳng thui nhỉ?

Khó có chuyện đấy lắm bạn ơi ^^ Trừ khi Diện tích của bạn quá nhỏ. Mà theo mình nghĩ thế này, bạn đừng cám ơn vội khi chưa test :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
VThanhgtvt    1

Khó có chuyện đấy lắm bạn ơi ^^ Trừ khi Diện tích của bạn quá nhỏ. Mà theo mình nghĩ thế này, bạn đừng cám ơn vội khi chưa test :)

 

Hj. Sorry bác nhé. Đúng là diện tích "của em" bé quá bác ah. Cái này phải nhập diện tích theo trong cad ah bác. Tới tận 6 số liền!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×